Bug 1658157 - User name is not displayed for non default account
Summary: User name is not displayed for non default account
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.5.0
Hardware: All
OS: All
unspecified
medium vote
Target Milestone: Released
Assignee: Marek Hulan
QA Contact: Oleksandr Shtaier
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-11 12:16 UTC by Oleksandr Shtaier
Modified: 2019-10-07 17:19 UTC (History)
4 users (show)

Fixed In Version: foreman-1.20.1.6-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:33 UTC


Attachments (Terms of Use)
Screenshot with issue (6.09 KB, image/png)
2018-12-11 12:16 UTC, Oleksandr Shtaier
no flags Details
Screenshot for default account (4.90 KB, image/png)
2018-12-11 12:19 UTC, Oleksandr Shtaier
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:39 UTC
Foreman Issue Tracker 25748 None None None 2018-12-20 20:50:22 UTC

Description Oleksandr Shtaier 2018-12-11 12:16:10 UTC
Created attachment 1513350 [details]
Screenshot with issue

Description of problem:
You cannot see your account name once you login into application in the right corner of the screen which is actually only one place to know your login name quickly

It is necessary to use any account which is not default. You can use account with any access permissions

Version-Release number of selected component (if applicable):
6.5

How reproducible:
Always

Steps to Reproduce:
1. Login to application by non default user
2.
3.

Actual results:
Login name is not displayed

Expected results:
Login name is displayed for any account

Additional info:

Comment 4 Oleksandr Shtaier 2018-12-11 12:19:08 UTC
Created attachment 1513352 [details]
Screenshot for default account

Comment 5 Oleksandr Shtaier 2018-12-11 12:20:09 UTC
Put high severity, because it is impossible to identify yourself in the application

Comment 6 Andrii Balakhtar 2018-12-11 15:06:28 UTC
It's actually possible to see current user by opening user's menu -> My Account, but that's not so handy.

Comment 7 Marek Hulan 2018-12-20 20:28:52 UTC
This is not true. We display users' first and last name there. Default user has first and last name filled as Admin User. If you specify your name as regular user, you see your name there too. I think we previously fell back to login, not sure when or how that changed. Lowering the priority accordingly.

Comment 8 Marek Hulan 2018-12-20 20:50:21 UTC
Created redmine issue https://projects.theforeman.org/issues/25748 from this bug

Comment 9 pm-sat@redhat.com 2018-12-20 23:02:30 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 10 pm-sat@redhat.com 2018-12-20 23:02:31 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 11 Oleksandr Shtaier 2018-12-21 12:04:56 UTC
Okay, then I agree that is not so important issue. Anyway, maybe we need to make to display login in case first name and last name is not specified.
In the end, we just need to know expected behavior, so we can fix our test automation scripts accordingly.

Comment 12 Marek Hulan 2018-12-21 12:39:28 UTC
Yes, I've sent the fix yesterday that restores the original behavior. It displays "$first $last" and in case both are empty, we display login. That I think is expected behavior.

Comment 13 Oleksandr Shtaier 2018-12-27 12:04:22 UTC
Sounds good. Thanks Marek

Comment 14 Bryan Kearney 2019-01-10 19:50:00 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25748 has been resolved.

Comment 18 Oleksandr Shtaier 2019-01-21 14:22:21 UTC
Verified on 6.5 snap 12

Created two different users: one with first and last name, second with login name only.

Both scenario works as intended and corresponding names are displayed (if no first and last name specified then login name will be displayed)

Comment 21 errata-xmlrpc 2019-05-14 12:39:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.